package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dao.custom.base.CoreDao;
import com.jasamedika.medifirst2000.entities.PegawaiHistoriRekapGaji;

public interface PegawaiHistoriRekapGajiDaoCustom extends CoreDao<PegawaiHistoriRekapGaji>{
	public List<Map<String, Object>> getDaftarGajiPns(String periode);
	public List<Map<String, Object>> getPegawaiPns(String noRec, Integer id, String namaPegawai, String periode);
	public List<Map<String, Object>> getDtailGajiPns(Integer pegawaiId, String periode);
	public List<Map<String, Object>> getDaftarGajiPkwt(String periode);
	public List<Map<String, Object>> getDtailGajiPkwt(String noRec, Integer id);
	public List<Map<String, Object>> getDtailGajiPnsAddNoRecStrukHistori(String noRecStrukHistori,Integer pegawaiId, String periode);
}
